| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bcatmol.cpp File Reference

A program to concatenate coordinates from different files. More...

`#include "rwmolecule.h"`
`#include "mol_transform.h"`
`#include "mol_util.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

A program to concatenate coordinates from different files.

Author
  Bernard Heymann

Date
  Created: 20031018
  Modified: 20170123

Definition in file bcatmol.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 45 of file bcatmol.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bcatmol [options] input.pdb [input2.pdb ...]",
"---------------------------------------------------",
"Concatenates sets of coordinates with shifts from sets of files.",
" ",
"Actions:",
"-select CA Atom selection (default all).",
"-rename D Rename molecules from the given letter.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-box 10,10,10 Size of enclosing box (angstrom, default from coordinates).",
"-pbc Resolve periodic boundary bonds before catenation.",
" ",
"Input:",
"-parameters parm.star Atomic properties parameter file (default atom_prop.star).",
" ",
"Output:",
"-output output.pdb Output coordinate file (default temp.pdb).",
" ",
NULL
}

Definition at line 21 of file bcatmol.cpp.

## ◆ verbose

int verbose